<?php 

  $title="Home Page";
  $subtitle="Information about our Sample WebSite";

  $level=sizeof(split('/', $PHP_SELF))-3;
  $rp = $level>0 ? str_repeat("../", $level) : './';

  require($rp . "incs/functions.inc");

  include($rp . "incs/head.inc");

?>

<p>Here the text specific for this page... (by the way, this is the home page, at level 0 in the directory structure)</p>

<p>In this page, I could need a link to:

<ul>
<li>an external site (e.g. <?php makelink("Php Home Page", "http://www.php.net", 1); ?>)</li>
<li>a page on the same directory (e.g. <?php makelink("People", "people", 0); ?>)</li>
<li>a default page on a subdirectory (e.g. <?php makelink("Documents", "docs/", 0); ?>)</li>
<li>a default page on a sub-subdirectory (e.g. <?php makelink("Extra documents", "docs/extra/", 0); ?>)</li>
<li>a specific page on a subdirectory (e.g. <?php makelink("Document No. 1", "docs/doc1", 0); ?>)</li>
<li>a fragment on a specific page on a subdirectory (e.g. <?php makelink("Document No. 1, section 3", "docs/doc1", 0, "#s3"); ?>)</li>


</ul>
<?php 
  include($rp . "incs/foot.inc");

?>

